PETSc version 3.15.5
Fix/Edit manual page

# KSPRICHARDSON

The preconditioned Richardson iterative method

### Options Database Keys

| -ksp_richardson_scale | - damping factor on the correction (defaults to 1.0)

### Notes

x^{n+1} = x^{n} + scale*B(b - A x^{n})

Here B is the application of the preconditioner

This method often (usually) will not converge unless scale is very small.

### Notes

For some preconditioners, currently SOR, the convergence test is skipped to improve speed, thus it always iterates the maximum number of iterations you've selected. When -ksp_monitor (or any other monitor) is turned on, the norm is computed at each iteration and so the convergence test is run unless you specifically call KSPSetNormType(ksp,KSP_NORM_NONE);

For some preconditioners, currently PCMG and PCHYPRE with BoomerAMG if -ksp_monitor (and also any other monitor) is not turned on then the convergence test is done by the preconditioner itself and so the solver may run more or fewer iterations then if -ksp_monitor is selected.

Supports only left preconditioning

If using direct solvers such as PCLU and PCCHOLESKY one generally uses KSPPREONLY which uses exactly one iteration

       -ksp_type richardson -pc_type jacobi gives one classically Jacobi preconditioning

### References

| 1. | - L. F. Richardson, "The Approximate Arithmetical Solution by Finite Differences of Physical Problems Involving Differential Equations, with an Application to the Stresses in a Masonry Dam", Philosophical Transactions of the Royal Society of London. Series A, Containing Papers of a Mathematical or Physical Character, Vol. 210, 1911 (1911).

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPRichardsonSetScale(), KSPPREONLY

### Level

beginner

### Location

src/ksp/ksp/impls/rich/rich.c

### Examples

src/ksp/ksp/tutorials/ex71.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages